# -----------------------------------------------------------------------
# Su-15 JSBSim right panle simplified nasal analog

leftpanel=func()
{

	fdm_node=props.globals.getNode("fdm/jsbsim");

	time_sec=props.globals.getNode("sim/time/elapsed-sec").getValue();
	time_sec_prev=fdm_node.getNode("systems/leftpanel/time-sec").getValue();
	tick_sec=time_sec-time_sec_prev;
	fdm_node.getNode("systems/leftpanel/time-sec").setValue(time_sec);
	fdm_node.getNode("systems/leftpanel/tick-sec").setValue(tick_sec);

	#Serviceability

	if (
		(fdm_node.getNode("breakage/broken").getValue()==1)
		 and (fdm_node.getNode("systems/repair/on-switch").getValue()==0)
	)
	{
		fdm_node.getNode("systems/leftpanel/serviceable").setValue(0);
	}

	if (fdm_node.getNode("systems/repair/on-switch").getValue()==1)
	{
		fdm_node.getNode("systems/leftpanel/serviceable").setValue(1);
	}

	#Controllability

	fdm_node.getNode("systems/leftpanel/controllable").setValue(
		(1-fdm_node.getNode("breakage/pilot-knocked").getValue())
	);

#Reset

	if (fdm_node.getNode("systems/reset/on-switch").getValue()==1)
	{
		fdm_node.getNode("systems/leftpanel/fire-valve-first-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/fire-valve-second-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/emergency-pump-start-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/extinguishing-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/brakes-automation-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/stab-automate-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/jet-flaps-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/loading-automation-mode-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/pitot-left-heater-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/pitot-main-heater-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/fi-0-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/prepare-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/aim-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/target-size-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/fire-mode-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/drop-armanent-command").setValue(0);
		fdm_node.getNode("systems/leftpanel/extract-lamps-command").setValue(0);
	}

	#Move allowed

	if (
		(fdm_node.getNode("systems/reset/on-switch").getValue()==0)
		and (fdm_node.getNode("systems/leftpanel/serviceable").getValue()==1)
		and (fdm_node.getNode("systems/leftpanel/controllable").getValue()==1)
	)
	{
		fdm_node.getNode("systems/leftpanel/fire-valve-first-command").setValue(
			fdm_node.getNode("systems/leftpanel/fire-valve-first-input").getValue());
		fdm_node.getNode("systems/leftpanel/fire-valve-second-command").setValue(
			fdm_node.getNode("systems/leftpanel/fire-valve-second-input").getValue());
		fdm_node.getNode("systems/leftpanel/emergency-pump-start-command").setValue(
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-input").getValue());
		fdm_node.getNode("systems/leftpanel/extinguishing-command").setValue(
			fdm_node.getNode("systems/leftpanel/extinguishing-input").getValue());
		fdm_node.getNode("systems/leftpanel/brakes-automation-command").setValue(
			fdm_node.getNode("systems/leftpanel/brakes-automation-input").getValue());
		fdm_node.getNode("systems/leftpanel/stab-automate-command").setValue(
			fdm_node.getNode("systems/leftpanel/stab-automate-input").getValue());
		fdm_node.getNode("systems/leftpanel/jet-flaps-command").setValue(
			fdm_node.getNode("systems/leftpanel/jet-flaps-input").getValue());
		fdm_node.getNode("systems/leftpanel/loading-automation-mode-command").setValue(
			fdm_node.getNode("systems/leftpanel/loading-automation-mode-input").getValue());
		fdm_node.getNode("systems/leftpanel/pitot-left-heater-command").setValue(
			fdm_node.getNode("systems/leftpanel/pitot-left-heater-input").getValue());
		fdm_node.getNode("systems/leftpanel/pitot-main-heater-command").setValue(
			fdm_node.getNode("systems/leftpanel/pitot-main-heater-input").getValue());
		fdm_node.getNode("systems/leftpanel/fi-0-command").setValue(
			fdm_node.getNode("systems/leftpanel/fi-0-input").getValue());
		fdm_node.getNode("systems/leftpanel/prepare-command").setValue(
			fdm_node.getNode("systems/leftpanel/prepare-input").getValue());
		fdm_node.getNode("systems/leftpanel/aim-command").setValue(
			fdm_node.getNode("systems/leftpanel/aim-input").getValue());
		fdm_node.getNode("systems/leftpanel/target-size-command").setValue(
			fdm_node.getNode("systems/leftpanel/target-size-input").getValue());
		fdm_node.getNode("systems/leftpanel/fire-mode-command").setValue(
			fdm_node.getNode("systems/leftpanel/fire-mode-input").getValue());
		fdm_node.getNode("systems/leftpanel/drop-armanent-command").setValue(
			fdm_node.getNode("systems/leftpanel/drop-armanent-input").getValue());
		fdm_node.getNode("systems/leftpanel/extract-lamps-command").setValue(
			fdm_node.getNode("systems/leftpanel/extract-lamps-input").getValue());
	}

	#Move not allowed

	if (
		(fdm_node.getNode("systems/reset/on-switch").getValue()==1)
		or (fdm_node.getNode("systems/leftpanel/serviceable").getValue()==0)
		or (fdm_node.getNode("systems/leftpanel/controllable").getValue()==0)
	)
	{
		fdm_node.getNode("systems/leftpanel/fire-valve-first-input").setValue(
			fdm_node.getNode("systems/leftpanel/fire-valve-first-command").getValue());
		fdm_node.getNode("systems/leftpanel/fire-valve-second-input").setValue(
			fdm_node.getNode("systems/leftpanel/fire-valve-second-command").getValue());
		fdm_node.getNode("systems/leftpanel/emergency-pump-start-input").setValue(
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-command").getValue());
		fdm_node.getNode("systems/leftpanel/extinguishing-input").setValue(
			fdm_node.getNode("systems/leftpanel/extinguishing-command").getValue());
		fdm_node.getNode("systems/leftpanel/brakes-automation-input").setValue(
			fdm_node.getNode("systems/leftpanel/brakes-automation-command").getValue());
		fdm_node.getNode("systems/leftpanel/stab-automate-input").setValue(
			fdm_node.getNode("systems/leftpanel/stab-automate-command").getValue());
		fdm_node.getNode("systems/leftpanel/jet-flaps-input").setValue(
			fdm_node.getNode("systems/leftpanel/jet-flaps-command").getValue());
		fdm_node.getNode("systems/leftpanel/loading-automation-mode-input").setValue(
			fdm_node.getNode("systems/leftpanel/loading-automation-mode-command").getValue());
		fdm_node.getNode("systems/leftpanel/pitot-left-heater-input").setValue(
			fdm_node.getNode("systems/leftpanel/pitot-left-heater-command").getValue());
		fdm_node.getNode("systems/leftpanel/pitot-main-heater-input").setValue(
			fdm_node.getNode("systems/leftpanel/pitot-main-heater-command").getValue());
		fdm_node.getNode("systems/leftpanel/fi-0-input").setValue(
			fdm_node.getNode("systems/leftpanel/fi-0-command").getValue());
		fdm_node.getNode("systems/leftpanel/prepare-input").setValue(
			fdm_node.getNode("systems/leftpanel/prepare-command").getValue());
		fdm_node.getNode("systems/leftpanel/aim-input").setValue(
			fdm_node.getNode("systems/leftpanel/aim-command").getValue());
		fdm_node.getNode("systems/leftpanel/target-size-input").setValue(
			fdm_node.getNode("systems/leftpanel/target-size-command").getValue());
		fdm_node.getNode("systems/leftpanel/fire-mode-input").setValue(
			fdm_node.getNode("systems/leftpanel/fire-mode-command").getValue());
		fdm_node.getNode("systems/leftpanel/drop-armanent-input").setValue(
			fdm_node.getNode("systems/leftpanel/drop-armanent-command").getValue());
		fdm_node.getNode("systems/leftpanel/extract-lamps-input").setValue(
			fdm_node.getNode("systems/leftpanel/extract-lamps-command").getValue());
	}

	#Move

	fdm_node.getNode("systems/leftpanel/fire-valve-first-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/fire-valve-first-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fire-valve-first-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/fire-valve-second-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/fire-valve-second-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fire-valve-second-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/emergency-pump-start-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/extinguishing-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/extinguishing-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/extinguishing-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/brakes-automation-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/brakes-automation-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/brakes-automation-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/stab-automate-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/stab-automate-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/stab-automate-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/jet-flaps-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/jet-flaps-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/jet-flaps-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/loading-automation-mode-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/loading-automation-mode-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/loading-automation-mode-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/pitot-left-heater-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/pitot-left-heater-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/pitot-left-heater-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/pitot-main-heater-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/pitot-main-heater-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/pitot-main-heater-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/fi-0-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/fi-0-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fi-0-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/prepare-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/prepare-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/prepare-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/aim-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/aim-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/aim-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/target-size-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/target-size-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/target-size-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/fire-mode-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/fire-mode-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fire-mode-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/drop-armanent-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/drop-armanent-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/drop-armanent-command").getValue(),
			0.2,
			tick_sec
		)
	);

	fdm_node.getNode("systems/leftpanel/extract-lamps-pos").setValue(
		interpol.kin(
			fdm_node.getNode("systems/leftpanel/extract-lamps-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/extract-lamps-command").getValue(),
			0.2,
			tick_sec
		)
	);

	#Additional moves

	fdm_node.getNode("systems/leftpanel/fire-valve-first-switch-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.125,	0.65,	0.0],
				[0.25,	0.84,	0.0],
				[0.5,		1.0,	0.0],
				[0.75,	1.0,	0.5],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/fire-valve-first-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fire-valve-first-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/fire-valve-first-cover-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.5,		0.5,	1.0],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/fire-valve-first-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fire-valve-first-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/fire-valve-second-switch-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.125,	0.65,	0.0],
				[0.25,	0.84,	0.0],
				[0.5,		1.0,	0.0],
				[0.75,	1.0,	0.5],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/fire-valve-second-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fire-valve-second-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/fire-valve-second-cover-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.5,		0.5,	1.0],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/fire-valve-second-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/fire-valve-second-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/emergency-pump-start-switch-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.125,	0.65,	0.0],
				[0.25,	0.84,	0.0],
				[0.5,		1.0,	0.0],
				[0.75,	1.0,	0.5],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/emergency-pump-start-cover-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.5,		0.5,	1.0],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/emergency-pump-start-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/brakes-automation-switch-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.125,	0.65,	0.0],
				[0.25,	0.84,	0.0],
				[0.5,		1.0,	0.0],
				[0.75,	1.0,	0.5],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/brakes-automation-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/brakes-automation-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/brakes-automation-cover-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.5,		0.5,	1.0],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/brakes-automation-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/brakes-automation-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/stab-automate-switch-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.125,	0.65,	0.0],
				[0.25,	0.84,	0.0],
				[0.5,		1.0,	0.0],
				[0.75,	1.0,	0.5],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/stab-automate-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/stab-automate-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/stab-automate-cover-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.5,		0.5,	1.0],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/stab-automate-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/stab-automate-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/jet-flaps-switch-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.125,	0.65,	0.0],
				[0.25,	0.84,	0.0],
				[0.5,		1.0,	0.0],
				[0.75,	1.0,	0.5],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/jet-flaps-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/jet-flaps-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/jet-flaps-cover-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.5,		0.5,	1.0],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/jet-flaps-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/jet-flaps-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/drop-armanent-switch-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,		1.0],
				[0.0,		0.0,		0.0],
				[0.125,	0.171,	0.0],
				[0.25,	0.333,	0.0],
				[0.375,	0.516,	0.0],
				[0.5,		0.714,	0.0],
				[0.75,	1.0,		0.5],
				[1.0,		1.0,		1.0]
			],
			fdm_node.getNode("systems/leftpanel/drop-armanent-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/drop-armanent-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/drop-armanent-cover-pos").setValue(
		interpol.sqr_inter(
			[
				[0.0,		0.0,	1.0],
				[0.0,		0.0,	0.0],
				[0.5,		0.5,	1.0],
				[1.0,		1.0,	1.0]
			],
			fdm_node.getNode("systems/leftpanel/drop-armanent-pos").getValue(),
			fdm_node.getNode("systems/leftpanel/drop-armanent-command").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/extract-lamps-switch-pos").setValue(
		interpol.lin_inter(
			[
				[0.0,		0.0],
				[0.25,	0.0],
				[0.75,	1.0],
				[1.0,		1.0]
			],
			fdm_node.getNode("systems/leftpanel/extract-lamps-pos").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/extract-lamps-cover-pos").setValue(
		interpol.lin_inter(
			[
				[0.0,		0.0],
				[0.25,	1.0],
				[0.75,	1.0],
				[1.0,		0.43]
			],
			fdm_node.getNode("systems/leftpanel/extract-lamps-pos").getValue()
		)
	);

	#Switches

	fdm_node.getNode("systems/leftpanel/fire-valve-first-switch").setValue(
		fdm_node.getNode("systems/leftpanel/fire-valve-first-switch-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/fire-valve-second-switch").setValue(
		fdm_node.getNode("systems/leftpanel/fire-valve-second-switch-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/emergency-pump-start-switch").setValue(
		fdm_node.getNode("systems/leftpanel/emergency-pump-start-switch-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/extinguishing-switch").setValue(
		fdm_node.getNode("systems/leftpanel/extinguishing-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/brakes-automation-switch").setValue(
		fdm_node.getNode("systems/leftpanel/brakes-automation-switch-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/stab-automate-switch").setValue(
		fdm_node.getNode("systems/leftpanel/stab-automate-switch-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/jet-flaps-switch").setValue(
		fdm_node.getNode("systems/leftpanel/jet-flaps-switch-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/loading-automation-mode-switch").setValue(
		fdm_node.getNode("systems/leftpanel/loading-automation-mode-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/pitot-left-heater-switch").setValue(
		fdm_node.getNode("systems/leftpanel/pitot-left-heater-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/pitot-main-heater-switch").setValue(
		fdm_node.getNode("systems/leftpanel/pitot-main-heater-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/fi-0-switch").setValue(
		fdm_node.getNode("systems/leftpanel/fi-0-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/prepare-switch").setValue(
		fdm_node.getNode("systems/leftpanel/prepare-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/aim-switch").setValue(
		fdm_node.getNode("systems/leftpanel/aim-pos").getValue()>0.5
	);

	fdm_node.getNode("systems/leftpanel/target-size-switch").setValue(
		interpol.lin_inter(
			[
				[0.0,		0.0],
				[0.25,	0.0],
				[0.333,	1.0],
				[0.5,		1.0],
				[0.66,	1.0],
				[0.75,	2.0],
				[1.0,		2.0]
			],
			fdm_node.getNode("systems/leftpanel/target-size-pos").getValue()
		)
	);

	fdm_node.getNode("systems/leftpanel/fire-mode-switch").setValue(
		interpol.lin_inter(
			[
				[0.0,		0.0],
				[0.25,	0.0],
				[0.333,	1.0],
				[0.5,		1.0],
				[0.66,	1.0],
				[0.75,	2.0],
				[1.0,		2.0]
			],
			fdm_node.getNode("systems/leftpanel/fire-mode-pos").getValue()
		)
	);

	#Commands to armament

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8R/control/target-size").setValue(
			fdm_node.getNode("systems/leftpanel/target-size-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8R/control/prepare").setValue(
			fdm_node.getNode("systems/leftpanel/prepare-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8R/control/fi-0").setValue(
			fdm_node.getNode("systems/leftpanel/fi-0-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8R/control/aim").setValue(
			fdm_node.getNode("systems/leftpanel/aim-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8R/control/launch").setValue(
			fdm_node.getNode("systems/stick/fire-missile-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8R/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8R/control/drop").setValue(
			fdm_node.getNode("systems/leftpanel/drop-armanent-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8T/control/target-size").setValue(
			fdm_node.getNode("systems/leftpanel/target-size-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8T/control/prepare").setValue(
			fdm_node.getNode("systems/leftpanel/prepare-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8T/control/fi-0").setValue(
			fdm_node.getNode("systems/leftpanel/fi-0-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8T/control/aim").setValue(
			fdm_node.getNode("systems/leftpanel/aim-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8T/control/launch").setValue(
			fdm_node.getNode("systems/stick/fire-missile-switch").getValue()
		);
	}

	if (
		(fdm_node.getNode("systems/rightpanel/fire-control-switch").getValue()==1)
		and (fdm_node.getNode("systems/electrical/some-alt-gen-on").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/existed").getValue()==1)
		and (fdm_node.getNode("systems/R8T/state/flying").getValue()==0)
	)
	{
		fdm_node.getNode("systems/R8T/control/drop").setValue(
			fdm_node.getNode("systems/leftpanel/drop-armanent-switch").getValue()
		);
	}

	#Click

	if (
		(
			(fdm_node.getNode("systems/leftpanel/fire-valve-first-switch-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/fire-valve-first-switch-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/fire-valve-second-switch-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/fire-valve-second-switch-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/extinguishing-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/extinguishing-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/emergency-pump-start-switch-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/emergency-pump-start-switch-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/brakes-automation-switch-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/brakes-automation-switch-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/loading-automation-mode-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/loading-automation-mode-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/pitot-left-heater-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/pitot-left-heater-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/pitot-main-heater-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/pitot-main-heater-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/fi-0-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/fi-0-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/prepare-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/prepare-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/aim-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/aim-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/target-size-pos").getValue()>=0.125)
			and (fdm_node.getNode("systems/leftpanel/target-size-pos").getValue()<=0.375)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/target-size-pos").getValue()>=0.625)
			and (fdm_node.getNode("systems/leftpanel/target-size-pos").getValue()<=0.875)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/fire-mode-pos").getValue()>=0.125)
			and (fdm_node.getNode("systems/leftpanel/fire-mode-pos").getValue()<=0.375)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/fire-mode-pos").getValue()>=0.625)
			and (fdm_node.getNode("systems/leftpanel/fire-mode-pos").getValue()<=0.875)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/drop-armanent-switch-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/drop-armanent-switch-pos").getValue()<=0.75)
		)
		or (
			(fdm_node.getNode("systems/leftpanel/extract-lamps-switch-pos").getValue()>=0.25)
			and (fdm_node.getNode("systems/leftpanel/extract-lamps-switch-pos").getValue()<=0.75)
		)
	)
	{
		fdm_node.getNode("systems/sounds/click/on").setValue(1);
	}

	settimer(func leftpanel(), 0.2);

}

# initialisation  -------------------------------------------------

#timer is used to asyncronize fps load with other nasal systems

settimer(func leftpanel(), 0.44);
